Create a schedule itemCopy Pagepost https://api.safetyculture.io/schedules/v1/schedule_itemsBody ParamsThe schedule item to be created. The schedule will be created in the timezone of the authenticated user's profile timezone.The parameters for creating or updating a schedule itemdescriptionstringDescription of the schedule itemmust_completestringenumDefaults to MUST_COMPLETE_UNSPECIFIED MUST_COMPLETE_UNSPECIFIED: Unspecified must complete value ONE: Schedule must be completed by one assignee ALL: Schedule must be completed by all assignees MUST_COMPLETE_UNSPECIFIEDONEALLAllowed:MUST_COMPLETE_UNSPECIFIEDONEALLcan_late_submitbooleanCan the inspections be started after the due datetruefalserecurrencestringRRule formatted recurrence string. Example: FREQ=WEEKLY;BYDAY=MO;INTERVAL=1 represents weekly on Monday.start_timeobjectStartTime represents the start time of a schedule itemScheduleItem.StartTime objectdurationstringISO8601 duration string, e.g. PT1H. How long inspection can be started after the start_date.timezonestring@deprecated, this field is not being used to dictate the timezone of the schedule item. The timezone of the schedule item is based on the authenticated user's profile timezone.from_datedate-timeWhen this schedule will begin appearingto_datedate-timeWhen the schedule will endremindersarray of objectsReminders that will be sent to assigneesremindersADD objectassigneesarray of objectsThe users or groups that are assigned to complete the scheduleassigneesADD objectdocumentobjectDocument represents the document in a scheduleScheduleItem.Document objectlocation_idstringThe location assigned to this schedule itemasset_idstringThe asset assigned to this schedule itemResponses 200A successful response. defaultAn unexpected error response.Updated 9 days ago